Enhance bash shebangs

This commit is contained in:
jo 2021-08-16 14:21:46 +02:00
parent 8b3e09d41c
commit b5f302ac61
24 changed files with 24 additions and 24 deletions

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#Create a RabbitMQ airtime_tests user
#This is necessary for tests to run

View File

@ -1,4 +1,4 @@
#!/bin/bash -e
#!/usr/bin/env bash -e
composer install --no-dev --no-interaction
git_build=""

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
# Set up 3 way PO file merging, which we need for non-mainline branches
cp scripts/git-merge-po /usr/local/bin

View File

@ -1,4 +1,4 @@
#!/bin/bash -e
#!/usr/bin/env bash -e
apt-get install -y --force-yes lsb-release sudo
dist=$(lsb_release -is)
code=$(lsb_release -cs)

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
exec 2>&1

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
# the base url of the bamboo server
baseurl="$1/updateAndBuild.action?buildKey="

View File

@ -1,4 +1,4 @@
#!/bin/bash -e
#!/usr/bin/env bash -e
# Absolute path to this script
SCRIPT=$(readlink -f $0)
# Absolute directory this script is in

View File

@ -1,4 +1,4 @@
#!/bin/bash -e
#!/usr/bin/env bash -e
#release.sh 1.8.2
#creates a libretime folder with a "1.8.2" suffix

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
if [[ $EUID -ne 0 ]]; then
echo "This script must be run as root." 1>&2
exit 1

View File

@ -1,4 +1,4 @@
#!/bin/bash -e
#!/usr/bin/env bash -e
#-e Causes bash script to exit if any of the installers
#return with a non-zero return value.

View File

@ -1,4 +1,4 @@
#!/bin/bash -e
#!/usr/bin/env bash -e
#-e Causes bash script to exit if any of the installers
#return with a non-zero return value.

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
# Additional Repos
yum install -y epel-release

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
DEBIAN_FRONTEND=noninteractive apt-get -y install alsa-utils
usermod -a -G audio vagrant

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
### BEGIN INIT INFO
# Provides: libretime-analyzer

View File

@ -1,4 +1,4 @@
#!/bin/bash -xv
#!/usr/bin/env bash -xv
post_file() {
#kill process after 30 minutes (360*5=30 minutes)

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
### BEGIN INIT INFO
# Provides: airtime-liquidsoap

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
### BEGIN INIT INFO
# Provides: airtime-playout

View File

@ -1,4 +1,4 @@
#!/bin/bash -e
#!/usr/bin/env bash -e
# -e Causes bash script to exit if any of the steps
# return with a non-zero return value.

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
# Absolute path to this script
SCRIPT=$(readlink -f $0)
# Absolute directory this script is in

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#-------------------------------------------------------------------------------
# Copyright (c) 2011 Sourcefabric O.P.S.
#

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
#-------------------------------------------------------------------------------
# Copyright (c) 2011 Sourcefabric O.P.S.
#

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
if [ -z "$1" ]; then
## Use config

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
/etc/init.d/rabbitmq-server status | grep "\[{pid"
pid_found="$?"

View File

@ -1,4 +1,4 @@
#!/bin/bash
#!/usr/bin/env bash
# A bash script to convert all Rivendell's audio-library to MP3, extract meta-tags from Rivendell's
# database and set appropriate tags to each MP3 file.